Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 00:59
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Python 2.7.2 with pygtk
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
growler


Joined: 24 Mar 2008
Posts: 209
Location: Kapiti - New Zealand

PostPosted: Fri 16 Mar 2012, 06:06    Post_subject:  Python 2.7.2 with pygtk  

I rolled up a .pet of Python 2.7.2 including:

py2cairo-1.10.0
gobject-introspection-0.10.8
pygobject-2.26.0
pygtk-2.24.0
tcl/tk 8.5
Python Image Library-1.1.7

compiled on Racy (with the 3.07 kernel)
I took out the manual pages and the unittest and test directories from /usr/lib/python2.7 and also removed all the includes - but still this is a fatty at 24 Meg - but contains a complete gtk python development and running setup in one .pet

Hope it is of some use to others.

http://dotpups.de/puppy4/dotpups/Programming/Python-2.7.2-pygtk.pet

Edited_times_total
Back to top
View user's profile Send_private_message 
chrome307


Joined: 15 Jan 2009
Posts: 713

PostPosted: Fri 16 Mar 2012, 06:39    Post_subject:  

Strange I get a '404' error currently Embarassed
Back to top
View user's profile Send_private_message 
charlie6


Joined: 30 Jun 2008
Posts: 1017
Location: South of Belgium

PostPosted: Wed 04 Apr 2012, 00:41    Post_subject:
Sub_title: wxPython
 

Hi growler,
thanks for this pet !
Does the wxpython-2.8.7.1.pet on the same download place work together with python 2.7 version ? Is there a version non-compatibility to be expected?
Thanks for answering
Charlie
Back to top
View user's profile Send_private_message 
growler


Joined: 24 Mar 2008
Posts: 209
Location: Kapiti - New Zealand

PostPosted: Tue 17 Apr 2012, 03:45    Post_subject: xwwidgets  

I fixed the link.

RE wxwidgets ... sorry, I have not compiled this extension... only the standard python libraries and pygtk and the dependencies required for this pygobject and gobject-introspection
Back to top
View user's profile Send_private_message 
linux28

Joined: 05 Apr 2009
Posts: 211

PostPosted: Tue 17 Apr 2012, 05:53    Post_subject:  

wxpython Shocked
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0426s ][ Queries: 11 (0.0037s) ][ GZIP on ]